import request from "@/utils/request";
const api = "/mosty-api/mosty-jcgl";
/**
 * 获取民警|辅警列表
 * @param {*} params
 * @returns
 */
export const getTbJcglXfll = (params = {}) => {
  return request({
    url: api + "/tbJcglXfll",
    method: "GET",
    params
  });
};
/**
 * 获取民警|辅警详情
 * @param {*} params
 * @returns
 */
export const getTbJcglXfllInfo = (id) => {
  return request({
    url: `${api}/tbJcglXfll/${id}`,
    method: "GET"
  });
};
/**
 * 获取民警身份证集合 
 */
export const getSfhList = () => {
  return request({
    url: `${api}/tbJcglXfll/querySfzh`,
    method: "GET"
  });
};
/**
 * 删除民警|辅警
 * @param {*} params
 * @returns
 */
export const deleteTbJcglXfll = (params = {}) => {
  return request({
    url: api + "/tbJcglXfll",
    method: "DELETE",
    params
  });
};

/**
 * 新增民警|辅警
 * @param {*} data
 * @returns
 */
export const addTbJcglXfll = (data = {}) => {
  return request({
    url: api + "/tbJcglXfll",
    method: "POST",
    data
  });
};

/**
 * 修改民警|辅警
 * @param {*} data
 * @returns
 */
export const updateTbJcglXfll = (data = {}) => {
  return request({
    url: api + "/tbJcglXfll",
    method: "PUT",
    data
  });
};

/**
 * 获取标签列表
 * @param {*} params
 * @returns
 */
export const getTbJcglBq = (params = {}) => {
  return request({
    url: api + "/tbJcglBq",
    method: "GET",
    params
  });
};

/**
 * 新增标签
 * @param {*} params
 * @returns
 */
export const addTbJcglBq = (data = {}) => {
  return request({
    url: api + "/tbJcglBq",
    method: "POST",
    data
  });
};

/**
 * 删除标签
 * @param {*} params
 * @returns
 */
export const deleteTbJcglBq = (data) => {
  return request({
    url: `${api}/tbJcglBq/zcbqByIds`,
    method: "put",
    data
  });
};

/**
 * 获取某个标签详细是数据
 * @param {*} params
 * @returns
 */
export const getTbJcglBqInfo = (id) => {
  return request({
    url: `${api}/tbJcglBq/${id}`,
    method: "get"
  });
};

/**
 * 修改某个标签数据
 * @param {*} params
 * @returns
 */
export const updateTbJcglBqInfo = (data) => {
  return request({
    url: api + "/tbJcglBq",
    method: "PUT",
    data
  });
};

/**
 * 获取技能标签按钮数据
 * @param {*} params
 * @returns
 */
export const getCountBqsl = (data) => {
  return request({
    url: api + "/tbJcglBq/countBqsl",
    method: "GET",
    data
  });
};

/**
 * 批量删除 民警|辅警
 * @param {*} params
 * @returns
 */
export const batchDeleteList = (data) => {
  return request({
    url: api + "/tbJcglXfll/deleteList",
    method: "POST",
    data
  });
};


/**
 * 批量删除 民警|辅警
 * @param {*} params
 * @returns
 */
export const ryLz = (data) => {
  return request({
    url: api + "/tbJcglXfll/lzList",
    method: "POST",
    data
  });
};
